Subject: [rbridge] Summary 1 of load-balancing rbridges

From: Vishwas at sinett.com (Vishwas Manral)
Date: Sun, 28 Aug 2005 21:45:40 -0700

Hi Joe,

> I still do not see the particular utility of reinventing 
> MPLS-ish tags in the shim header; if you want MPLS, you can use 
> that. If not, then let the interior rbridges decide how they want
> to handle load balancing themselves. None of the peeking we're 
> talking about is extraordinarily complex.
I think the idea was more like a Flow label in IPv6 and not the MPLS
label (which needs to be pre-signaled and is also used for forwarding).

That said; I figured in the IPv6 implementation report
http://www.ietf.org/IESG/Implementations/ipv6-implementations.txt few
implementations support Flow Label (the document unfortunately is not
dated). Maybe someone else can clarify if that is right?

Thanks,
Vishwas
> -----Original Message-----
> From: rbridge-bounces at postel.org [mailto:rbridge-bounces at postel.org]
On
> Behalf Of Alia Atlas
> Sent: Thursday, August 11, 2005 11:43 PM
> To: Radia.Perlman at sun.com; Developing a hybrid router/bridge.
> Cc: Joe Touch
> Subject: [rbridge] Summary 1 of load-balancing rbridges
> 
> As per Radia's request, here's my best effort at a summarization.
> 
> The introduction of rbridges implies that rbridges will need to do
> load-balancing among equal-cost paths.  To avoid reordering at Layer
> 4, it is very desirable (even necessary) to have the rbridges able to
> identify the micro-flows.  There are 3 possible ways of doing this
> that were discussed.
> 
> (1) Each rbridge peeks under the rbridge shim header & encapsulated
> MAC frame to the (potentially) IP packet underneath.  If there is an
> IP packet, then an identification as to the micro-flow is made and the
> frame is forwarded based on the micro-flow.  Behavior if there isn't
> an IP packet hasn't been discussed.
> 
> (2) The ingress rbridge determines the micro-flow and marks the frame
> with a micro-flow tag in some way.  Interior (or midpoint) rbridges
> can use this tag to identify the micro-flow instead of having to peek
> underneath the rbridge shim header.  This is an optimization of (1)
> that reduces the complexity of interior rbridges at the cost of
> additional header size.
> 
> (3)Each egress rbridge could have a number of aliases.  The ingress
> rbridge identifies a micro-flow & forwards the frame to a particular
> alias, indicating a path.  There are some issues here with number of
> paths,  handling addresses connected to multiple egress rbridges, etc.
> 
> Option (2) seems promising, but whether it is the correct trade-off
> versus (1) needs more discussion and input.  Please comment.  :-)
> 
> Alia
>